> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turboads.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Talking Actor Status

> Get the current status and metadata for a talking actor video generation job.



## OpenAPI

````yaml /openapi.json get /v1/talking-actors/{id}
openapi: 3.1.0
info:
  title: TurboAds Public API
  version: 1.0.0
  description: >-
    Workspace-scoped API for creating media generation jobs and polling for
    results.
servers:
  - url: https://api.turboads.ai
security:
  - bearerAuth: []
tags:
  - name: Projects
    description: Discover projects available to the API key workspace.
  - name: Voices
    description: Discover voices for talking actor generations.
  - name: Actors
    description: Discover actors for talking actor generations.
  - name: Images
    description: Create image generation jobs, poll status, and fetch final URLs.
  - name: Videos
    description: Create video generation jobs, poll status, and fetch final URLs.
  - name: Replace Actors
    description: Create motion-transfer jobs from a character image and reference video.
  - name: Talking Actors
    description: Create AI actor videos, poll status, and fetch final URLs.
paths:
  /v1/talking-actors/{id}:
    get:
      tags:
        - Talking Actors
      summary: Get Talking Actor Status
      description: >-
        Get the current status and metadata for a talking actor video generation
        job.
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            Talking actor generation ID returned by POST
            /v1/talking-actors/generate.
          schema:
            type: string
      responses:
        '200':
          description: Talking actor generation status
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/TalkingActorGeneration'
              examples:
                success:
                  summary: Success
                  value:
                    data:
                      id: j97video123abc456def789
                      project_id: j97project123abc456def789
                      actor_id: j97actor123abc456def789
                      voice_id: j97voice123abc456def789
                      script: >-
                        Try TurboAds to create high-performing ad creatives in
                        minutes.
                      status: completed
                      error: null
                      created_at: 1782225600000
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
        '429':
          $ref: '#/components/responses/RateLimited'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    TalkingActorGeneration:
      type: object
      required:
        - id
        - project_id
        - actor_id
        - voice_id
        - script
        - status
        - error
        - created_at
      properties:
        id:
          type: string
        project_id:
          type: string
        actor_id:
          type: string
        voice_id:
          type: string
        script:
          type: string
        status:
          type: string
          enum:
            - pending
            - generating_audio
            - generating_video
            - completed
            - failed
        error:
          type:
            - string
            - 'null'
        created_at:
          type: number
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
    RateLimitErrorResponse:
      type: object
      required:
        - error
        - retry_after_ms
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        retry_after_ms:
          type: number
          description: Milliseconds to wait before retrying.
    ApiError:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
          description: Stable machine-readable error code.
        message:
          type: string
          description: Human-readable error message.
  responses:
    Unauthorized:
      description: The API key is missing, invalid, or revoked.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            error:
              summary: Missing, invalid, or revoked API key.
              value:
                error:
                  code: unauthorized
                  message: Missing, invalid, or revoked API key.
    NotFound:
      description: The requested resource was not found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            error:
              summary: Resource not found.
              value:
                error:
                  code: not_found
                  message: Resource not found.
    RateLimited:
      description: The API key exceeded its rate limit.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/RateLimitErrorResponse'
          examples:
            error:
              summary: Rate limited
              value:
                error:
                  code: rate_limited
                  message: Rate limit exceeded.
                retry_after_ms: 1200
    InternalServerError:
      description: Unexpected server or storage configuration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          examples:
            error:
              summary: Internal server error
              value:
                error:
                  code: internal_error
                  message: Something went wrong.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Your TurboAds API key
      x-default: ta_live_your_api_key

````